CUDNN Frontend API 8.3.0

Namespaces | Classes | Typedefs | Functions
nlohmann Namespace Reference

namespace for Niels Lohmann More...

## Namespaces
| detail
| detail namespace with internal helper functions

## Classes
struct | adl_serializer
| default JSONSerializer template argument More...
class | basic_json
| a class to store JSON values More...
class | byte_container_with_subtype
| an internal type for a backed binary type More...
class | json_pointer
| JSON Pointer. More...
struct | json_sax
| SAX interface. More...
struct | ordered_map

## Typedefs
using | json = basic_json<>
| default JSON class More...
using | ordered_json = basic_json< nlohmann::ordered_map >
| ordered JSON class More...

## Functions
NLOHMANN_BASIC_JSON_TPL_DECLARATION std::string | to_string (const NLOHMANN_BASIC_JSON_TPL &j)
| user-defined to_string function for JSON values More...

## Detailed Description

namespace for Niels Lohmann

See also
  https://github.com/nlohmann

Since
  version 1.0.0

namespace to hold default `to_json` function to see why this is required: http://www.open-std.org/jtc1/sc22/wg21/docs/papers/2015/n4381.html

## Typedef Documentation

## ◆ json

using nlohmann::json = typedef basic_json<>

default JSON class

This type is the default specialization of the basic_json class which uses the standard template types.

Since
  version 1.0.0

Definition at line 3390 of file json.hpp.

## ◆ ordered_json

using nlohmann::ordered_json = typedef basic_json<nlohmann::ordered_map>

ordered JSON class

This type preserves the insertion order of object keys.

Since
  version 3.9.0

Definition at line 3402 of file json.hpp.

## Function Documentation

## ◆ to_string()

NLOHMANN_BASIC_JSON_TPL_DECLARATION std::string nlohmann::to_string | ( | const NLOHMANN_BASIC_JSON_TPL & | j | ) |

user-defined to_string function for JSON values

This function implements a user-defined to_string for JSON objects.

Parameters

  [in] | j | a JSON object

Returns
  a std::string object

Definition at line 25855 of file json.hpp.

Referenced by nlohmann::basic_json< ObjectType, ArrayType, StringType, BooleanType, NumberIntegerType, NumberUnsignedType, NumberFloatType, AllocatorType, JSONSerializer, BinaryType >::at(), nlohmann::detail::binary_writer< BasicJsonType, CharType >::calc_bson_array_size(), nlohmann::detail::binary_writer< BasicJsonType, CharType >::calc_bson_entry_header_size(), cudnn_frontend::check_rule(), nlohmann::detail::parse_error::create(), cudnn_frontend::Tensor_v8::describe(), cudnn_frontend::ConvDesc_v8::describe(), cudnn_frontend::Operation_v8::describe(), nlohmann::detail::exception::diagnostics(), nlohmann::basic_json< ObjectType, ArrayType, StringType, BooleanType, NumberIntegerType, NumberUnsignedType, NumberFloatType, AllocatorType, JSONSerializer, BinaryType >::diff(), nlohmann::basic_json< ObjectType, ArrayType, StringType, BooleanType, NumberIntegerType, NumberUnsignedType, NumberFloatType, AllocatorType, JSONSerializer, BinaryType >::erase(), nlohmann::json_pointer< BasicJsonType >::flatten(), nlohmann::detail::serializer< BasicJsonType >::for(), nlohmann::detail::binary_reader< BasicJsonType, InputAdapterType, SAX >::get_bson_binary(), nlohmann::detail::binary_reader< BasicJsonType, InputAdapterType, SAX >::get_bson_string(), nlohmann::json_pointer< BasicJsonType >::get_checked(), nlohmann::json_pointer< BasicJsonType >::get_unchecked(), nlohmann::detail::int_to_string(), nlohmann::basic_json< ObjectType, ArrayType, StringType, BooleanType, NumberIntegerType, NumberUnsignedType, NumberFloatType, AllocatorType, JSONSerializer, BinaryType >::meta(), nlohmann::detail::exception::name(), nlohmann::json_pointer< BasicJsonType >::operator std::string(), nlohmann::json_pointer< BasicJsonType >::operator/=(), nlohmann::basic_json< ObjectType, ArrayType, StringType, BooleanType, NumberIntegerType, NumberUnsignedType, NumberFloatType, AllocatorType, JSONSerializer, BinaryType >::patch(), nlohmann::detail::parse_error::position_string(), nlohmann::detail::json_sax_dom_parser< BasicJsonType >::start_array(), nlohmann::detail::json_sax_dom_callback_parser< BasicJsonType >::start_array(), nlohmann::detail::json_sax_dom_parser< BasicJsonType >::start_object(), nlohmann::detail::json_sax_dom_callback_parser< BasicJsonType >::start_object(), nlohmann::detail::binary_writer< BasicJsonType, CharType >::write_bson_array(), and nlohmann::detail::binary_writer< BasicJsonType, CharType >::write_bson_unsigned().